Chat9
APIKnowledge

Update Faq

PUT
/api/v1/knowledge/faq/{faq_id}
/api/v1/knowledge/faq/{faq_id}

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

In: header

Request Body

application/jsonRequired

question
Required
Question

answer
Required
Answer

Path Parameters

faq_id
Required
Faq Id

Format: "uuid"
curl -X PUT "https://api.getchat9.live/api/v1/knowledge/faq/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "question": "string",
    "answer": "string"
  }'

Successful Response

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "question": "string",
  "answer": "string",
  "confidence": 0,
  "source": "string",
  "approved": true,
  "created_at": "2019-08-24T14:15:22Z",
  "gap_source_id": "640ca87a-3b05-4e02-ac94-53fa3690a13d"
}